﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="Microsoft.EntityFrameworkCore.Design" />
    <None Remove="Integrations\" />
    <None Remove="Azure.Storage.Blobs" />
    <None Remove="UtilNuget" />
    <None Remove="Newtonsoft.Json" />
    <None Remove="Microsoft.Extensions.Configuration" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Azure.Storage.Blobs" Version="12.12.0" />
    <PackageReference Include="MongoDB.Driver" Version="2.18.0" />
    <PackageReference Include="Refit" Version="6.3.2" />
    <PackageReference Include="Refit.HttpClientFactory" Version="6.3.2" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.2" />
    <PackageReference Include="Microsoft.Extensions.Configuration" Version="7.0.0" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="CosmosDB\Interfaces\" />
    <Folder Include="Integrations\" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Domain\Domain.csproj" />
  </ItemGroup>
  <ItemGroup>
    <Reference Include="UtilNuget">
      <HintPath>..\LocalReference\UtilNuget.dll</HintPath>
    </Reference>
  </ItemGroup>
</Project>
